Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20787

Description

DBManager don't recognize a PostGIS geography table (or view) as geometrical, but only alphanumerical

History

#1 - 2015-05-04 10:07 AM - Anita Graser

Did you add an entry into geometry_columns with metadata for the view?

Please add more detail to the description.

#2 - 2015-05-04 11:35 AM - Marco Li Volsi

Hy Anita.

I have PostGIS "2.1 USE_GEOS=1 USE_PROJ=1 USE_STATS=1" version on "PostgreSQL 9.4.0, compiled by Visual C++ build 1800, 64-bit" version.

My table/view is in public.geography_columns view but not in public.geometry_columns view. The geometry_columns table is not in my database (I

remenber that before PostGIS 2.0.0 version was a table).

#3 - 2015-05-07 01:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

this tables do show using the "add postgis layer" dialog or the qgis browser?

#4 - 2015-05-07 02:33 AM - Marco Li Volsi

Yes Giovanni,

these tables/views are correctly recognized as geometrical by "add postgis layer" or QGis Browser.

#5 - 2015-05-07 02:37 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#7 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
